%{
#include "u3.tab.h"
#include <stdio.h>
%}

%%

"a" { return TOKEN_a; }
"b" { return TOKEN_b; }
"c" { return TOKEN_c; }
"." { return TOKEN_EOF; }
[ \t\n]  { /* Whitespace. Skip. */ }
.	 { printf("Unknown character '%c' ignored.\n", *yytext); }

%%

int yywrap() {
  printf("Calling yywrap...\n");
  return 1;
}
